[ReflectionException] Class Fxp\Composer\AssetPlugin\Repository\NpmRepository does not exist

Published on

Composer throws [ReflectionException] Class Fxp\Composer\AssetPlugin\Repository\NpmRepository does not exist php composer.phar update It gives me this error: [ReflectionException] Class Fxp\Composer\AssetPlugin\Repository\NpmRepository does not exist [ErrorException] Declaration of Fxp\Composer\AssetPlugin\Repository\AbstractAssetsRepository::whatProvides() should be compatible with Composer\Repository\ComposerRepository::whatProvides(Composer\DependencyResolver\Pool $pool, $name, $bypassFilters = false) Can someone help me how to fix this? Solution:  About nine days ago, Composer\Repository\ComposerRepository::whatProvides api changed. (#2668) So, if … Continue reading [ReflectionException] Class Fxp\Composer\AssetPlugin\Repository\NpmRepository does not exist

Avast! Internet Security 2017 v17.1.2286

Published on

Avast! Internet Security 2017 v17.1.2286   Download Links: Windows   Date: 07-02-2017 Award: None License: Trial Software Developer: AVAST Software Show Extended Details >>   Avast! Internet Security 2017 is the company’s next generation security suite, and includes an antivirus engine, firewall, browsing protection, a software updater, browser cleanup tool and more. Installation is simple and straightforward. Compatibility seems good, too, … Continue reading Avast! Internet Security 2017 v17.1.2286

How to Configure MongoDB with PHP for Wamp on Windows

Published on

How to Configure MongoDB with PHP for Wamp on Windows? how to use mongodb with wamp server? Follow the below simple steps to configure Mongodb with PHP. Click on this link to download the drivers. http://pecl.php.net/package/mongo/1.6.14/windows From above link, download the appropriate. I have downloaded 5.4 Thread Safe (TS) x86 Unizip this folder. Copy the … Continue reading How to Configure MongoDB with PHP for Wamp on Windows

Laravel 5 Failed opening required bootstrap/../vendor/autoload.php

Published on

bootstrap/../vendor/autoload.php. Failed to open stream: No such file or directory. The “vendor” folder does not exist. Which OS you are using ? For Windows : Go to Command Prompt set path to www/{ur project} For me : www/laravel5 Then type this command : composer install It will automatically install all dependency in vendor/ ————————/OR/—————————- Run … Continue reading Laravel 5 Failed opening required bootstrap/../vendor/autoload.php

How to install a newer version of Python using apt-get?

Published on

How to install a newer version of Python using apt-get? Felix Krull runs a PPA offering basically any version of Python (seriously, there is 2.3.7 build for vivid…) for many Ubuntu releases at https://launchpad.net/~fkrull/+archive/ubuntu/deadsnakes. Do the usual: sudo add-apt-repository ppa:fkrull/deadsnakes sudo apt-get update sudo apt-get install python3.5 It will not overwrite your existing python3.4 which … Continue reading How to install a newer version of Python using apt-get?